< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package bootstrap
  Definition Classes
    play
-  package frontend
  Definition Classes
    bootstrap
-  package filters
  Definition Classes
    frontend
-  package crypto
  Definition Classes
    filters
-  package deviceid
  Definition Classes
    filters
- AllowlistFilter
- DefaultFrontendAuditFilter
- FrontendAuditFilter
- FrontendFilters
- HeadersFilter
- SessionIdFilter
- SessionTimeoutFilter
- SessionTimeoutFilterConfig

t

uk.gov.hmrc.play.bootstrap.frontend.filters

# FrontendAuditFilter 

###

#### trait FrontendAuditFilter extends CommonAuditFilter with FrontendHeaderCarrierProvider

Linear Supertypes
FrontendHeaderCarrierProvider, CommonAuditFilter, AuditFilter, EssentialFilter, AnyRef, Any
Known Subclasses
DefaultFrontendAuditFilter
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FrontendAuditFilter
2. FrontendHeaderCarrierProvider
3. CommonAuditFilter
4. AuditFilter
5. EssentialFilter
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def applicationPort: Option[Int]
2.  abstract def auditConnector: AuditConnector
   Definition Classes
     CommonAuditFilter
3.  abstract def config: Configuration
   Definition Classes
     CommonAuditFilter
4.  abstract def controllerNeedsAuditing(controllerName: String): Boolean
   Definition Classes
     CommonAuditFilter
5.  abstract def dataEvent(eventType: String, transactionName: String, request: RequestHeader, detail: Map[String, String])(implicit hc: HeaderCarrier): DataEvent
   Definition Classes
     CommonAuditFilter
6.  implicit abstract def ec: ExecutionContext
   Attributes
     protected
   Definition Classes
     CommonAuditFilter
7.  abstract def maskedFormFields: Seq[String]
8.  implicit abstract def mat: Materializer
   Definition Classes
     CommonAuditFilter

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(nextFilter: EssentialAction): EssentialAction
   Definition Classes
     CommonAuditFilter → EssentialFilter
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def asJava: EssentialFilter
   Definition Classes
     EssentialFilter
7.  def buildRequestDetails(requestHeader: RequestHeader, requestBody: String): Map[String, String]
   Attributes
     protected
   Definition Classes
     FrontendAuditFilter → CommonAuditFilter
8.  def buildResponseDetails(response: ResponseHeader): Map[String, String]
   Attributes
     protected
   Definition Classes
     FrontendAuditFilter → CommonAuditFilter
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def filterResponseBody(result: Result, response: ResponseHeader, responseBody: String): String
    Attributes
      protected
    Definition Classes
      FrontendAuditFilter → CommonAuditFilter
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  implicit def hc(implicit request: RequestHeader): HeaderCarrier
    Attributes
      protected
    Definition Classes
      FrontendHeaderCarrierProvider
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  val maxBodySize: Int
    Definition Classes
      CommonAuditFilter
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def needsAuditing(request: RequestHeader): Boolean
    Attributes
      protected
    Definition Classes
      CommonAuditFilter
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def onCompleteWithInput(loggingContext: String, next: Accumulator[ByteString, Result], handler: (String, Try[Result]) ⇒ (String) ⇒ Unit)(implicit ec: ExecutionContext): Accumulator[ByteString, Result]
    Attributes
      protected
    Definition Classes
      CommonAuditFilter
24.  val requestReceived: String
    Definition Classes
      CommonAuditFilter
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from FrontendHeaderCarrierProvider

### Inherited from CommonAuditFilter

### Inherited from AuditFilter

### Inherited from EssentialFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped